> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recallrai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Session

> Delete a session and all associated data.

Permanently deletes a session along with its messages (from MongoDB), vector embeddings
(from Milvus), and any memories, memory connections, memory categories, and merge conflicts
that were created from this session.

**Path Parameters:**
- `custom_user_id` (str): Unique identifier for the user owning the session
- `session_id` (UUID): Session UUID to delete

**Returns:**
- 204 No Content on success



## OpenAPI

````yaml https://api.recallrai.com/api/openapi.json delete /api/v1/users/{custom_user_id}/sessions/{session_id}
openapi: 3.1.0
info:
  title: api-backend
  description: This powers the Recallr AI API Backend
  version: 0.1.0
servers:
  - url: https://api.recallrai.com
    description: Production server
security: []
paths:
  /api/v1/users/{custom_user_id}/sessions/{session_id}:
    delete:
      tags:
        - Sessions
      summary: Delete Session
      description: >-
        Delete a session and all associated data.


        Permanently deletes a session along with its messages (from MongoDB),
        vector embeddings

        (from Milvus), and any memories, memory connections, memory categories,
        and merge conflicts

        that were created from this session.


        **Path Parameters:**

        - `custom_user_id` (str): Unique identifier for the user owning the
        session

        - `session_id` (UUID): Session UUID to delete


        **Returns:**

        - 204 No Content on success
      operationId: >-
        delete_session_api_v1_users__custom_user_id__sessions__session_id__delete
      parameters:
        - name: custom_user_id
          in: path
          required: true
          schema:
            type: string
            title: The custom user ID owning the session
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: The session ID to delete
        - name: X-Recallr-Project-Id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            title: X-Recallr-Project-Id
        - name: X-Recallr-Api-Key
          in: header
          required: true
          schema:
            type: string
            title: X-Recallr-Api-Key
      responses:
        '204':
          description: Session deleted successfully
        '401':
          description: Authentication required
        '404':
          description: User or session not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````